/*	------------------------------------------------------------------------------------------
	Author: Benedikt Rey
	Date: 04.05.2012
	Version: v2.0r
*/	------------------------------------------------------------------------------------------

zzTk = "BR Tools-PresetMaxScene.mcr"
UserMacrosDir = ((getdir #usermacros) + "\\" + "ReferenceBox.png")
UserMacrosScriptFile = ((getdir #usermacros) + "\\" + zzTk)
CurrentScriptDir = getThisScriptFilename()
MainMenuBar = menuMan.findMenu "Main Menu Bar"
if (menuMan.findMenu "BR Tools") == undefined then BRTOOLMENU = menuMan.createMenu "BR Tools" else BRTOOLMENU = menuMan.findMenu "BR Tools"
testItem = menuMan.createActionItem "PresetMaxScene" "BR Tools"
if (copyFile CurrentScriptDir UserMacrosScriptFile) == true do BRTOOLMENU.addItem testItem -1
menuMan.updateMenuBar()
if (copyFile CurrentScriptDir UserMacrosDir) == true then (copyFile CurrentScriptDir UserMacrosDir)
else (deleteFile UserMacrosDir) and (copyFile CurrentScriptDir UserMacrosDir)
HelpFile = ((trimright (getThisScriptFilename() as string) zzTk) + "Help.txt")
edit HelpFile

macroscript PresetMaxScene
	category: "BR Tools"
	internalCategory: "BR Tools"
	buttonText: "Preset the Max Scene"
	icon: #("Systems",1)
	tooltip: "Resets and Presets your Max Scene."
(
	fn PresetMaxFile =
	(
		resetMaxFile()
		fn setUnits =
		(
			units.DisplayType != #metric
			units.MetricType != #Centimeters
			units.USType != #ft_Dec_In
			units.USFrac != #frac_1_8
			units.CustomUnit != #Centimeters
			units.SystemScale != 1.0
			units.SystemType != #centimeters
		)
		setUnits()
		fn CreateTheBox =
		(
			fn flattUVW =
			 (
				select $Reference_Box_1_1_1
				modPanel.addModToSelection (Unwrap_UVW ()) ui:on
				subobjectLevel = 1
				$Reference_Box_1_1_1.UnwrapUVW.flattenMap 45.0 [0,0,0] 0.02 true 0 true true
				clearSelection()
			 )
			local ReferenceBox = box width: 100 height: 100 Length: 100 name: "Reference_Box_1_1_1" wirecolor: black widthsegs:2 heightsegs:2 lengthsegs:2
			ReferenceBox.showFrozenInGray = off
			ReferenceBox.material = meditMaterials[1]
			try(meditMaterials[1].diffuseMap = Bitmaptexture fileName:((trimright (getThisScriptFilename()) zzTk) + "ReferenceBox.png"))catch()
			enableHardwareMaterial meditMaterials[1] true
			showHWTextureMap meditMaterials[1] true
			NL = LayerManager.newLayerFromName "ReferenceCube"
			NL.addNode ReferenceBox
			flattUVW()
			select ReferenceBox
			max freeze selection
			clearSelection()
			actionMan.executeAction 0 "50026"
			actionMan.executeAction 0 "311"
			actionMan.executeAction 0 "369"
			actionMan.executeAction 0 "40829"
		)
		CreateTheBox()
	)
	PresetMaxFile()
)